package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallRole;

import java.util.List;

public interface MallRoleService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<MallRole> listAsPage(MallRole record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<MallRole> getList(MallRole record);

    /**
     * 根据实体查询count
     * @param record
     * @return
     */
	int countList(MallRole record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallRole getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallRole record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
    /**
     * 根据userId查找Role集合
     * @param userId
     * @return
     */
    List<MallRole> findRoleByUserId(Long userId);

    /**
     * 根据名称查询数量
     * @param name 名称
     * @return
     */
    int countByName(String name, Long id);
	

	
	
	
	
}
